uuid-1.3.13: For creating, comparing, parsing and printing Universally Unique Identifiers

Copyright | (c) 2008 Jason Dusek (c) 2009 Mark Lentczner (c) 2009-20102012 Antoine Latter
License | BSD-style
Maintainer | aslatter@gmail.com
Stability | experimental
Portability | portable
Safe Haskell | None
Language | Haskell2010

Data.UUID.V1

Description

RFC 4122 Version 1 UUID state machine.

The generated UUID is based on the hardware MAC address and the system clock.

If we cannot lookup the MAC address we seed the generator with a psuedo-random number.

Synopsis

- nextUUID :: IO (Maybe UUID)

# Documentation

nextUUID :: IO (Maybe UUID) Source #

Returns a new UUID derived from the local hardware MAC address and the current system time. Is generated according to the Version 1 UUID sepcified in RFC 4122.

Returns `Nothing` if you request UUIDs too quickly.